package pay.platform.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 聚合支付 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "聚合支付")
@Table(value = "t_pay_aggregation")
public class PayAggregation {

    /**
     * id
     */
    @Schema(description = "id")
    @Id(keyType = KeyType.Generator, value = "SUID")
    private String id;

    /**
     * 通道ID
     */
    @Schema(description = "通道ID")
    @Column(value = "channel_id")
    private String channelId;

    /**
     * 商户号名称
     */
    @Schema(description = "商户号名称")
    @Column(value = "name")
    private String name;

    /**
     * 商户号ID
     */
    @Schema(description = "商户号ID")
    @Column(value = "p_id")
    private Long pId;
    @Schema(description = "appId")
    private String appId;

    /**
     * 密钥
     */
    @Schema(description = "密钥")
    @Column(value = "private_key")
    private String privateKey;

    /**
     * 公钥
     */
    @Schema(description = "公钥")
    @Column(value = "public_key")
    private String publicKey;

    /**
     * 单笔限制金额
     */
    @Schema(description = "单笔限制金额")
    @Column(value = "astrict_amount")
    private BigDecimal astrictAmount;

    /**
     * 限制流水
     */
    @Schema(description = "限制流水")
    @Column(value = "astrict_trade")
    private BigDecimal astrictTrade;

    /**
     * 统一费率
     */
    @Schema(description = "统一费率")
    @Column(value = "rate")
    private BigDecimal rate;

    /**
     * 状态
     */
    @Schema(description = "状态 ")
    @Column(value = "status")
    private Integer status;

    /**
     * 创建人
     */
    @Schema(description = "创建人")
    @Column(value = "create_user")
    private String createUser;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    @Column(value = "create_time", onInsertValue = "now()")
    private LocalDateTime createTime;

    /**
     * 修改人
     */
    @Schema(description = "修改人")
    @Column(value = "update_user")
    private String updateUser;

    /**
     * 修改时间
     */
    @Schema(description = "修改时间")
    @Column(value = "update_time", onUpdateValue = "now()", onInsertValue = "now()")
    private LocalDateTime updateTime;
}
