package pay.platform.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 商户关联支付宝店铺 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "商户关联支付宝店铺")
@Table(value = "t_pay_aggregation_store")
public class PayAggregationStore {

    /**
     * id
     */
    @Schema(description = "id")
    @Id(keyType = KeyType.Generator, value = "SUID")
    private String id;
    /**
     * 代理id
     */
    @Schema(description = "代理id")
    @Column(value = "agent_id")
    private String agentId;
//    /**
//     * 商户id
//     */
//    @Schema(description = "聚合支付id")
//    @Column(value = "aggregation_id")
//    private String aggregationId;
    /**
     * 商户id
     */
    @Schema(description = "通道id")
    @Column(value = "channel_id")
    private String channelId;

    /**
     * 店铺id
     */
    @Schema(description = "店铺id")
    @Column(value = "store_id")
    private String storeId;

    /**
     * 操作员
     */
    @Schema(description = "操作员")
    @Column(value = "operator_id")
    private String operatorId;

    /**
     * 状态0禁用，1启用
     */
    @Schema(description = "状态0禁用，1启用 ")
    @Column(value = "status")
    private Integer status;

    /**
     * 创建人
     */
    @Schema(description = "创建人")
    @Column(value = "create_user")
    private String createUser;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    @Column(value = "create_time")
    private Date createTime;

    /**
     * 修改人
     */
    @Schema(description = "修改人")
    @Column(value = "update_user")
    private String updateUser;

    /**
     * 修改时间
     */
    @Schema(description = "修改时间")
    @Column(value = "update_time")
    private Date updateTime;
}
