package pay.platform.domain;

import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.RequiredArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 系统 - 角色信息 实体类。
 *
 * @author admin
 * @since 1.0
 */
@Accessors(chain = true)
@RequiredArgsConstructor
@Data
@Schema(name = "系统 - 角色信息")
@Table(value = "sys_role")
public class SysRole {

    /**
     * id
     */
    @Schema(description = "id")
    @Id(keyType = KeyType.Generator, value = "SUID")
    private String id;

    /**
     * 角色名称
     */
    @Schema(description = "角色名称")
    @Column(value = "role_name")
    private String roleName;

    /**
     * 角色编码
     */
    @Schema(description = "角色编码")
    @Column(value = "role_code")
    private String roleCode;

    /**
     * 描述
     */
    @Schema(description = "描述")
    @Column(value = "description")
    private String description;

    /**
     * 启用状态
     */
    @Schema(description = "启用状态")
    @Column(value = "enable")
    private Integer enable;

    /**
     * 总部标识：1是，0：否
     */
    @Schema(description = "总部标识：1是，0：否")
    @Column(value = "is_system")
    private Integer isSystem;

    /**
     * 创建者
     */
    @Schema(description = "创建者")
    @Column(value = "create_user")
    private String createUser;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    @Column(value = "create_time", onInsertValue = "now()")
    private java.time.LocalDateTime createTime;

    /**
     * 更新者
     */
    @Schema(description = "更新者")
    @Column(value = "update_user")
    private String updateUser;

    /**
     * 更新时间
     */
    @Schema(description = "更新时间")
    @Column(value = "update_time", onUpdateValue = "now()", onInsertValue = "now()")
    private java.time.LocalDateTime updateTime;


}
