package pay.platform.api.system.model.query;

import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import pay.platform.core.common.domain.BasePageQuery;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 通道管理 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "通道管理")
@Table(value = "t_pay_order")
public class PayOrderQuery extends BasePageQuery {

    /**
     * id
     */
    @Schema(description = "id")
    private Long id;

    /**
     * 订单号
     */
    @Schema(description = "订单号")
    private String orderNo;

    /**
     * 平台订单号
     */
    @Schema(description = "平台订单号")
    private String platformOrderNo;

    /**
     * 代理用户ID
     */
    @Schema(description = "代理用户ID")
    private Long agentId;

    /**
     * 商户用户ID
     */
    @Schema(description = "商户用户ID")
    private Long merchantId;

    /**
     * 金额
     */
    @Schema(description = "金额")
    private BigDecimal amount;

    /**
     * 手续费
     */
    @Schema(description = "手续费")
    private BigDecimal fee;

    /**
     * 费率
     */
    @Schema(description = "费率")
    private BigDecimal rate;

    /**
     * -1：支付失败 0：待支付 1：支付成功 2：退款
     */
    @Schema(description = "-1：支付失败 0：待支付 1：支付成功 2：退款")
    private Integer status;


    /**
     * 创建人
     */
    @Schema(description = "创建人")
    private String createUser;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    private LocalDateTime createTime;

    /**
     * 修改人
     */
    @Schema(description = "修改人")
    private String updateUser;

    /**
     * 修改时间
     */
    @Schema(description = "修改时间")
    private LocalDateTime updateTime;
}
