package pay.platform.api.system.controller;

import com.mybatisflex.core.paginate.Page;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.Parameters;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import pay.platform.api.system.servcie.SysOperationLogService;
import pay.platform.domain.SysOperationLog;

import java.io.Serializable;
import java.util.List;

/**
 * 操作日志表 控制层。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@RestController
@RequestMapping("/sysOperationLog")
@Tag(name = "操作日志表控制层")
public class SysOperationLogController {

    @Autowired
    private SysOperationLogService sysOperationLogService;

    /**
     * 添加 操作日志表
     *
     * @param sysOperationLog 操作日志表
     * @return {@code true} 添加成功，{@code false} 添加失败
     */
    @PostMapping("/save")
    @Operation(summary = "添加操作日志表")
    @Parameters(value = {
            @Parameter(name = "id", description = "主键"),

            @Parameter(name = "gmtCreate", description = "创建时间"),

            @Parameter(name = "gmtModified", description = "修改时间"),

            @Parameter(name = "bizId", description = "业务ID"),

            @Parameter(name = "bizType", description = "业务类型"),

            @Parameter(name = "tag", description = "标签"),

            @Parameter(name = "operationDate", description = "操作执行时间"),

            @Parameter(name = "msg", description = "操作内容"),

            @Parameter(name = "extra", description = "附加信息"),

            @Parameter(name = "operationStatus", description = "操作结果状态"),

            @Parameter(name = "operationTime", description = "操作耗时"),

            @Parameter(name = "contentReturn", description = "方法返回内容"),

            @Parameter(name = "contentException", description = "方法异常内容"),

            @Parameter(name = "operatorId", description = "操作人ID"),

            @Parameter(name = "operatorName", description = "操作人姓名")
    })

    public boolean save(@RequestBody SysOperationLog sysOperationLog) {
        return sysOperationLogService.save(sysOperationLog);
    }


    /**
     * 根据主键删除操作日志表
     *
     * @param id 主键
     * @return {@code true} 删除成功，{@code false} 删除失败
     */
    @DeleteMapping("/remove/{id}")
    @Operation(summary = "根据主键删除操作日志表")
    @Parameters(value = {
            @Parameter(name = "id", description = "主键", required = true)
    })
    public boolean remove(@PathVariable Serializable id) {
        return sysOperationLogService.removeById(id);
    }


    /**
     * 根据主键更新操作日志表
     *
     * @param sysOperationLog 操作日志表
     * @return {@code true} 更新成功，{@code false} 更新失败
     */
    @PutMapping("/update")
    @Operation(summary = "根据主键更新操作日志表")
    @Parameters(value = {
            @Parameter(name = "id", description = "主键", required = true),

            @Parameter(name = "gmtCreate", description = "创建时间"),

            @Parameter(name = "gmtModified", description = "修改时间"),

            @Parameter(name = "bizId", description = "业务ID"),

            @Parameter(name = "bizType", description = "业务类型"),

            @Parameter(name = "tag", description = "标签"),

            @Parameter(name = "operationDate", description = "操作执行时间"),

            @Parameter(name = "msg", description = "操作内容"),

            @Parameter(name = "extra", description = "附加信息"),

            @Parameter(name = "operationStatus", description = "操作结果状态"),

            @Parameter(name = "operationTime", description = "操作耗时"),

            @Parameter(name = "contentReturn", description = "方法返回内容"),

            @Parameter(name = "contentException", description = "方法异常内容"),

            @Parameter(name = "operatorId", description = "操作人ID"),

            @Parameter(name = "operatorName", description = "操作人姓名")
    })
    public boolean update(@RequestBody SysOperationLog sysOperationLog) {
        return sysOperationLogService.updateById(sysOperationLog);
    }


    /**
     * 查询所有操作日志表
     *
     * @return 所有数据
     */
    @GetMapping("/list")
    @Operation(summary = "查询所有操作日志表")
    public List<SysOperationLog> list() {
        return sysOperationLogService.list();
    }


    /**
     * 根据操作日志表主键获取详细信息。
     *
     * @param id sysOperationLog主键
     * @return 操作日志表详情
     */
    @GetMapping("/getInfo/{id}")
    @Operation(summary = "根据操作日志表主键获取详细信息")
    @Parameters(value = {
            @Parameter(name = "id", description = "主键", required = true)
    })
    public SysOperationLog getInfo(@PathVariable Serializable id) {
        return sysOperationLogService.getById(id);
    }


    /**
     * 分页查询操作日志表
     *
     * @param page 分页对象
     * @return 分页对象
     */
    @GetMapping("/page")
    @Operation(summary = "分页查询操作日志表")
    @Parameters(value = {
            @Parameter(name = "pageNumber", description = "页码", required = true),
            @Parameter(name = "pageSize", description = "每页大小", required = true)
    })
    public Page<SysOperationLog> page(Page<SysOperationLog> page) {
        return sysOperationLogService.page(page);
    }
}