package pay.platform.api.system.model.vo;

import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 商户管理 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "商户管理")
@Table(value = "t_pay_merchant")
public class PayMerchantVO {

    /**
     * id
     */
    @Schema(description = "id")
    private String id;

    /**
     * 用户名
     */
    @Schema(description = "用户名")
    private String userName;


    /**
     * 余额
     */
    @Schema(description = "余额")
    private BigDecimal amount;

    /**
     * 费率
     */
    @Schema(description = "费率")
    private BigDecimal rate;

    /**
     * Google校验器
     */
    @Schema(description = "Google校验器")
    private String tpopCode;

    /**
     * 是否绑定Google校验器
     */
    @Schema(description = "是否绑定Google校验器")
    private String hasTpop;

    /**
     * 状态
     */
    @Schema(description = "状态 ")
    private Integer status;


    /**
     * 创建人
     */
    @Schema(description = "创建人")
    private String createUser;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    private LocalDateTime createTime;

    /**
     * 修改人
     */
    @Schema(description = "修改人")
    private String updateUser;

    /**
     * 修改时间
     */
    @Schema(description = "修改时间")
    private LocalDateTime updateTime;
}
