package pay.platform.core.security.handler;

import cn.bzvs.json.JsonUtils;
import cn.hutool.core.util.StrUtil;
import cn.hutool.extra.servlet.JakartaServletUtil;
import jakarta.servlet.ServletException;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.web.AuthenticationEntryPoint;
import org.springframework.stereotype.Component;
import pay.platform.core.common.PlatformConst;
import pay.platform.core.common.Result;

import java.io.IOException;

/**
 * token 授权异常
 */
@Component
public class TokenAuthenticationEntryPoint implements AuthenticationEntryPoint {
    @Override
    public void commence(HttpServletRequest request, HttpServletResponse response, AuthenticationException authException) throws IOException, ServletException {
        // 当用户尝试访问安全的REST资源而不提供任何凭据时，将调用此方法发送401 响应
        int code = HttpStatus.UNAUTHORIZED.value();
        String msg = StrUtil.format("请求访问：{}，认证失败，无法访问系统资源", request.getRequestURI());
        response.setCharacterEncoding(PlatformConst.CHARSET_NAME_UTF8);
        JakartaServletUtil.write(response, JsonUtils.toJsonString(Result.NG(code, msg)), MediaType.APPLICATION_JSON_VALUE);
    }
}
