package pay.platform.api.system.controller;

import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import pay.platform.api.system.servcie.PayMerchantAppKeyService;
import pay.platform.core.common.Result;
import pay.platform.core.security.util.SecurityUtil;
import pay.platform.domain.PayMerchantAppKey;

/**
 * 商户扩展信息，提供外部应用 控制层。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@RestController
@RequestMapping("/merchant/pay/app/key")
@Tag(name = "商户扩展信息，提供外部应用控制层")
public class PayMerchantAppKeyController {

    @Autowired
    private PayMerchantAppKeyService payMerchantAppKeyService;


    /**
     * 查询所有商户扩展信息，提供外部应用
     *
     * @return 所有数据
     */
    @GetMapping("/info")
    @Operation(summary = "查询所有商户扩展信息，提供外部应用")
    public Result<PayMerchantAppKey> list() {
        var currentUser = SecurityUtil.getCurrentUser();
        return Result.OK(payMerchantAppKeyService.info(currentUser.getUserid()));
    }

}