package pay.platform.api.system.model.request;

import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 商户管理 实体类。
 *
 * @author mybatis-flex-helper automatic generation
 * @since 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "商户管理")
@Table(value = "t_pay_merchant")
public class PayMerchantRequest {

    /**
     * id
     */
    @Schema(description = "id")
    private Long id;

    /**
     * 用户名
     */
    @Schema(description = "用户名")
    private String userName;

    /**
     * 密码
     */
    @Schema(description = "密码")
    private String password;

    /**
     * 余额
     */
    @Schema(description = "余额")
    private BigDecimal amount;

    /**
     * 费率
     */
    @Schema(description = "费率")
    private BigDecimal rate;

    /**
     * Google校验器
     */
    @Schema(description = "Google校验器")
    private String tpopCode;

    /**
     * 是否绑定Google校验器
     */
    @Schema(description = "是否绑定Google校验器")
    private String hasTpop;

    /**
     * 状态
     */
    @Schema(description = "状态 ")
    private Integer status;

}
